--Get data on everyone's Subscriber Data
function GetEveryone()
   local now = Turbine.Engine.GetGameTime();
   local names = {}
   for name,time in pairs(Settings) do
      table.insert(names,name)
   end
   table.sort(names,function(A,B) return Settings[A] < Settings[B] end)
   local results = {}
   for i,name in pairs(names) do
      time = Settings[name]
      local remain = (time - now)/3600/24 + 14
      --      local line = name .. ": "
      local line = ""
      local unit = string.lower(T["days_abbrev"])
      if remain < 0 then
         line = line .. T["NONE"]
      elseif remain < 1 then
         line = line .. "<1"..unit --or maybe only abbreviate if the name is long?
      else
         line = line .. string.format("%.0f%s",remain,unit)
      end
      line = line .. " " .. name
      table.insert(results,line)
--      Turbine.Shell.WriteLine(line)
   end
   return results
end
function SubTime()
   for _,line in pairs(GetEveryone()) do
      Turbine.Shell.WriteLine(line)
   end
end

EveryoneCommand = Turbine.ShellCommand()
function EveryoneCommand:GetShortHelp()
   return T["help"]
end
function EveryoneCommand:GetHelp()
   return T["help"]
end
function EveryoneCommand:Execute(cmd,args,lvl)
   SubTime()
end
Turbine.Shell.AddCommand("subtime",EveryoneCommand)
